		underscores_in_headers on;
		access_log /var/log/plesk/httpsd_access_log main buffer=8k;

		index index.php;
		root /opt/psa/admin/htdocs;

# Maintenance
		include conf.d/maintenance;
		if ($uri ~* \.(ico|css|js|gif|jpe?g|png|html|json|svg|woff2)(\?[0-9]+)? ) {
			set $maintenance off;
		}

		if ($maintenance = on) {
			return 503;
		}

		error_page 503 @maintenance;
		location @maintenance {
			if ($maintenance = on) {
				rewrite ^(.*)$ /error_docs/503.1.html break;
			}
			rewrite ^(.*)$ /error_docs/503.html break;
			internal;
		}

		location /maintenance/ { root /usr/local/psa/var/;  }
# End: maintenance

		location /extras/ {
			alias /usr/local/psa/admin/share/modules/;
		}

# phpMyAdmin security
		location ~ ^/domains/databases/phpMyAdmin/(libraries|templates)(.*) {
			deny all;
		}

# phpMyAdmin shortcut
		location ~* ^/phpMyAdmin(.*) {
			return 301 /domains/databases/phpMyAdmin$1;
		}

# Admin panel
		location /admin {
			alias /opt/psa/admin/application/admin/public;
			try_files $uri @route;
		}

# SMB panel
		location /smb {
			alias /opt/psa/admin/application/smb/public;
			try_files $uri @route;
		}

		location @route {
			include /etc/sw-cp-server/fastcgi_params;
			fastcgi_pass unix:/var/run/sw-engine.sock;
			fastcgi_param PATH_INFO $fastcgi_path_info;
			fastcgi_param SCRIPT_FILENAME /opt/psa/admin/htdocs/application.php;
			fastcgi_param HTTP_PRAGMA $http_pragma;
		}

# Plesk (old screens)
		location /plesk {
			try_files $uri /plesk.php?$args;
		}

# Custom skins
		location ~ ^/theme-skins {
			deny all;
			location ~ "\.(css|gif|png|jpg|jpeg|svg|xml|woff|woff2)$" {
				allow all;
				try_files $uri @default-skin;
			}
		}

		location @default-skin {
			rewrite ^/theme-skins/[^/]+/(.*)$ /theme/$1 last;
		}

# Backward compatiblity for old URLs
		rewrite (login|login_up|logout)\.php3(/|$) /$1.php$2 last;

# New modern
		rewrite ^/login/?$ /login_up.php last;

# Rewrite for api
		rewrite ^/api/(.*)$ /modules/rest-api/public/index.php/$1 last;

		location ~* \.php(/|$) {
			include /etc/sw-cp-server/fastcgi_params;
			fastcgi_pass unix:/var/run/sw-engine.sock;
			fastcgi_param SCRIPT_FILENAME $document_root$fastcgi_script_name;
		}

# Custom error pages
		error_page 400 401 403 404 405 406 407 412 414 415 500 501 502 503 /error_docs/$status.html;

# http to https redirect
		error_page 497 https://$host:$server_port$request_uri;
