// Copyright 1999-2017. Plesk International GmbH. All rights reserved.

define(function () {
    var ce = Jsw.createElement;

    return Class.create(Jsw.ModalDialogBox, {
        _initConfiguration: function ($super, config) {
            config = Object.extend({
                locale: Jsw.Locale.getSection('smb.controllers.web._informer'),
            }, config || {});
            $super(config);
            this._cls = 'popup-panel modal-informer informer-page-1';
            this.onHide = this._getConfigParam('onHide', Jsw.emptyFn);
        },

        _initComponentElement: function ($super) {
            $super();
            Jsw.render(this._componentElement,
                ce('.popup-wrapper',
                    ce('.popup-container',
                        ce('.popup-heading',
                            ce('.heading-area',
                                ce('span.close', { onclick: this.hide.bind(this) }),
                                ce('h2.informer-heading-1', ce('span', this.lmsg('whatsNewActiveList'))),
                                ce('h2.informer-heading-2', ce('span', this.lmsg('whatsNewClassicList')))
                            )
                        ),
                        ce('.popup-content',
                            ce('.popup-content-area',

                                ce('.lists-informer',
                                    ce('.lists-informer-wrap',
                                        ce('.lists-informer-text.lists-informer-text-top',
                                            ce('.text-1', this.lmsg('text1')),
                                            ce('.text-2', this.lmsg('text2')),
                                            ce('.text-3', this.lmsg('text3')),
                                            ce('.text-4', this.lmsg('text4'))
                                        ),
                                        ce('.lists-informer-image',
                                            ce('.lists-informer-action-button.lists-informer-action-button-1', { onclick: this.changePage.bind(this) },
                                                ce('.list-informer-action-button-wrap', ce('span', this.lmsg('learnMoreActiveList')))
                                            ),
                                            ce('.lists-informer-action-button.lists-informer-action-button-2', { onclick: this.changePage.bind(this) },
                                                ce('.list-informer-action-button-wrap', ce('span', this.lmsg('learnMoreClassicList')))
                                            )
                                        ),
                                        ce('.lists-informer-text.lists-informer-text-bottom',
                                            ce('.text-5', this.lmsg('text5')),
                                            ce('.text-6', this.lmsg('text6'))
                                        )
                                    )
                                ),

                                ce('.btns-box',
                                    ce('.box-area',
                                        ce('.form-row',
                                            ce('.single-row',
                                                ce('.field-value',
                                                    ce('span.btn', { onclick: this.hide.bind(this) },
                                                        ce('button[type=submit]', this.lmsg('buttonOk'))
                                                    )
                                                )
                                            )
                                        )
                                    )
                                )

                            )
                        )
                    )
                )
            );
        },

        render: function ($super) {
            $super();
            this.show();
        },

        changePage: function () {
            this._componentElement.toggleClassName('informer-page-1').toggleClassName('informer-page-2');
        },

        hide: function ($super) {
            $super();
            this.onHide();
        },
    });
});
