// Copyright 1999-2017. Plesk International GmbH. All rights reserved.

define([
    './popup-area',
], function (PopupArea) {
    return Class.create(PopupArea, {

        _initConfiguration: function ($super, config) {
            $super(config);

            this._login = this._getConfigParam('login', '');
            this._password = this._getConfigParam('password', '');
            this._changePasswordLink = this._getConfigParam('changePasswordLink', null);
        },

        _getTitle: function () {
            return this.lmsg('popupHeader');
        },

        _initComponentElement: function ($super) {
            $super();
            this._componentElement.addClassName('top-left');
            this._componentElement.down('.popup-content-area').insert({ top: '<span class="arrow"></span>' });
        },

        _getContent: function () {
            var content = '' +
                '<table cellspacing="0" class="access-info">' +
                    '<tbody>' +
                        '<tr>' +
                            '<th>' +
                                this.lmsg('login') +
                            '</th>' +
                            '<td>' +
                                this._login.escapeHTML() +
                            '</td>' +
                        '</tr>' +
                        '<tr>' +
                            '<th>' +
                                this.lmsg('password') +
                            '</th>' +
                            '<td>' +
                                this._password.escapeHTML() +
                            '</td>' +
                        '</tr>' +
                    '</tbody>' +
                '</table>';

            if (this._changePasswordLink) {
                content += '' +
                    '<div class="popup-action">' +
                        '<a href="' + this._changePasswordLink.escapeHTML() + '">' +
                            this.lmsg('changePasswordLink') +
                        '</a>' +
                    '</div>';
            }

            return content;
        },
    });
});
