// Copyright 1999-2017. Plesk International GmbH. All rights reserved.

define([
    './access-info-popup',
], function (AccessInfoPopup) {
    return Class.create(Jsw.Container, {

        _initConfiguration: function ($super, config) {
            $super(config);

            this._login = this._getConfigParam('login', '');
            this._password = this._getConfigParam('password', '');
            this._changePasswordLink = this._getConfigParam('changePasswordLink', null);
        },

        _initComponentElement: function ($super) {
            $super();

            this._updateComponentElement(
                '<a id="' + this._id + '-show" href="#" class="show-access-info">' +
                    this.lmsg('title') +
                '</a>'
            );
        },

        render: function ($super) {
            $super();
            if ($(this._id + '-popup')) {
                return;
            }
            Jsw.render($(this._id), new AccessInfoPopup({
                id: this._id + '-popup',
                toggleElementId: this._id + '-show',
                cls: 'popup-box collapsed',
                locale: this.getLocale(),
                login: this._login,
                password: this._password,
                changePasswordLink: this._changePasswordLink,
            }));
        },
    });
});
