// Copyright 1999-2017. Plesk International GmbH. All rights reserved.

define([
    './view',
    './link-to-folder-popup-area',
], function (view, LinkToFolderPopupArea) {
    var ListPathbar = Class.create(Jsw.Pathbar, {
        _initComponentElement: function ($super) {
            $super();

            this._linkDisabled = this._getConfigParam('linkDisabled', false);

            var linkElement = '';
            if (this._linkDisabled) {
                linkElement = '<img src="' + Jsw.skinUrl + '/icons/16/plesk/file-folder-link-disabled.png" alt="" />';
            } else {
                linkElement =
                    '<a class="folder-link" id="' + this._id + '-folder-link" href="#">' +
                        '<img src="' + Jsw.skinUrl + '/icons/16/plesk/file-folder-link.png" alt="" />' +
                    '</a>' +
                    '<div class="popup-box collapsed" id="' + this._id + '-popup-box"/>';
            }

            this._updateComponentElement('<div class="folder-link-block">' + linkElement + '</div>');
        },

        _renderItem: function ($super, item) {
            $super(item);

            if (item instanceof Jsw.Pathbar.Item) {
                item.addEventObserver('click', function (event) {
                    Event.stop(event);
                    view.collapseExpandedWidgets();

                    Smb.FileSharing.ListInstance.changeFolder(
                        decodeURIComponent(item.getHref())
                    );
                });
            }
        },

        _renderItemSuffix: function ($super, item) {
            if (!(item instanceof Jsw.Pathbar.Item)) {
                return;
            }
            $super(item);
        },

        render: function ($super) {
            $super();
            if (this._linkDisabled) {
                return;
            }
            this._linkToFolderPopup = new LinkToFolderPopupArea({
                locale: this._getConfigParam('locale', {}),
                applyTo: this._id + '-popup-box',
                title: 'title',
                toggleElementId: this._id + '-folder-link',
                webDavUrl: this._getConfigParam('webDavUrl', ''),
                httpUrl: this._getConfigParam('httpUrl', ''),
                webDavHowToLink: this._getConfigParam('webDavHowToLink', ''),
                userLogin: this._getConfigParam('userLogin', ''),
                userPassword: this._getConfigParam('userPassword', ''),
            });
        },
    });

    // TODO Need remove this global namespace usage
    Jsw.namespace('Smb.FileSharing').ListPathbar = ListPathbar;

    return ListPathbar;
});
