// Copyright 1999-2017. Plesk International GmbH. All rights reserved.

define([
    './view',
], function (view) {
    return Class.create(Jsw.Component, {

        _initConfiguration: function ($super, config) {
            $super(config);
            this._toggleElementId = this._getConfigParam('toggleElementId', '');
        },

        _initComponentElement: function ($super) {
            $super();
            this._updateComponentElement(
                '<table class="popup-wrapper" cellspacing="0"><tbody><tr><td class="popup-container">' +
                    '<div class="c1"><div class="c2"><div class="c3"><div class="c4"><div class="c5">' +
                        '<div class="popup-heading">' +
                            '<div class="heading-area">' +
                                '<span class="close" id="' + this._id + '-close"></span>' +
                                '<h4><span>' + this._getTitle() + '</span></h4>' +
                            '</div>' +
                        '</div>' +
                        '<div class="popup-content">' +
                            '<div class="popup-content-area">' + this._getContent() + '</div>' +
                        '</div>' +
                      '</div></div></div></div></div>' +
                '</td></tr></tbody></table>'
            );
        },

        _getTitle: function () {
            return '';
        },

        _getContent: function () {
            return '';
        },

        _addEvents: function () {
            $(this._toggleElementId).observe(
                'click',
                this.toggle.bindAsEventListener(this)
            );
            $(this._id + '-close').observe(
                'click',
                this.hide.bindAsEventListener(this)
            );
        },

        hide: function (event) {
            if (event) {
                Event.stop(event);
            }
            this._componentElement.addClassName('collapsed');
        },

        toggle: function (event) {
            Event.stop(event);

            view.collapseExpandedWidgets(this._id);
            this._componentElement.toggleClassName('collapsed');
        },
    });
});
