// Copyright 1999-2017. Plesk International GmbH. All rights reserved.

define([
    './share',
], function (Share) {
    return Class.create(Share, {

        _initConfiguration: function ($super, config) {
            $super(config);

            this._protectFilesCheckboxId = this._id + '-protect-files-checkbox';
        },

        reset: function ($super) {
            var result = $super();

            if ($(this._protectFilesCheckboxId)) {
                $(this._protectFilesCheckboxId).checked = false;
            }
            if (this._explorer) {
                this._explorer.setType(this._getDefaultStorageType());
            }
            return result;
        },

        _getAdditionalHtml: function ($super) {
            var result = $super();

            var listControl = Jsw.getComponent('files-list');
            var storageTypes = listControl.getStorageTypes();
            if (!storageTypes.get('protected')) {
                return result;
            }

            return result +
            '<div class="form-row">' +
                '<div class="single-row">' +
                    '<label for="' + this._protectFilesCheckboxId + '">' +
                        '<input type="checkbox" class="checkbox" value="1" ' +
                            'id="' + this._protectFilesCheckboxId + '"/>' +
                        ' ' + this.lmsg('protectFiles') +
                    '</label>' +
                '</div>' +
            '</div>';
        },

        render: function ($super) {
            $super();

            if ($(this._protectFilesCheckboxId)) {
                $(this._protectFilesCheckboxId).observe(
                    'click',
                    this._onProtectFilesCheckboxClick.bindAsEventListener(this)
                );
            }
        },

        _getDefaultStorageType: function () {
            return 'external';
        },

        _onProtectFilesCheckboxClick: function (event) {
            this._explorer.setType(
                ($(this._protectFilesCheckboxId).checked)
                    ? 'protected'
                    : 'external'
            );
        },

        _showSuccessMessage: function ($super) {
            $super();

            var listControl = Jsw.getComponent('files-list');
            listControl.cleanSelection();
        },

        _reloadList: function ($super) {
            // :INFO: reload is not required here
        },
    });
});
