// Copyright 1999-2017. Plesk International GmbH. All rights reserved.

define([
    './select-destination',
    './predefined-explorer',
], function (SelectDestination, PredefinedExplorer) {
    return Class.create(SelectDestination, {

        _getExplorerTitleHtml: function () {
            return '';
        },

        _initExplorer: function () {
            return new PredefinedExplorer({
                id: this._id + 'Explorer',
                renderTo: this._explorerBlockId,
                storageTabs: this._getStorageTabs(),
                storageTypes: this._getStorageTypes(),
                type: this._getDefaultStorageType(),
                title: this.lmsg('selectDestinationFolder'),
                fileTypesIconsPathTemplate: Jsw.skinUrl + '/icons/16/plesk/file-%%type%%.png',
                onSelectFolder: this._onSelectFolder.bind(this),
                onDeselectFolder: this._onDeselectFolder.bind(this),
                locale: this._foldersExplorerLocale,
            });
        },

        _getDefaultStorageType: function () {
            return 'shared';
        },

        _showSuccessMessage: function ($super) {
            $super();

            this._reloadList();
        },

        _reloadList: function () {
            var listControl = Jsw.getComponent('files-list');
            listControl.reload();
        },
    });
});
