// Copyright 1999-2017. Plesk International GmbH. All rights reserved.

define(function () {
    return Class.create(Jsw.PopupForm, {
        _initConfiguration: function ($super, config) {
            config = Object.extend({
                singleRowButtons: true,
            }, config || {});
            $super(config);
            this._url = this._getConfigParam('url');
            this._packageName = this._getConfigParam('packageName');
        },

        render: function ($super) {
            $super();

            this.setBoxType('form-box');
            this.setTitle(this.lmsg('popupInfoTitle', { package: this._packageName.escapeHTML() }));

            $(this._contentAreaId).update('<div class="ajax-loading">' + this.lmsg('loading') + '</div>');

            var context = this;
            new Ajax.Request(
                Jsw.prepareUrl(this._url),
                {
                    method: 'post',
                    parameters: {
                        name: this._packageName,
                    },
                    onSuccess: function (transport) {
                        var response = transport.responseText.evalJSON();

                        if (!response.data) {
                            $(context._contentAreaId).update('');
                            if (response.statusMessages) {
                                $A(response.statusMessages).each(function (message) {
                                    context._addStatusMessage(message.status, message.content);
                                });
                            }
                            return;
                        }

                        $(context._contentAreaId).update(
                            '<pre>' + response.data.escapeHTML() + '</pre>'
                        );
                    },
                }
            );

            this.addRightButton(this.lmsg('buttonOk'), function () {
                this.hide();
            }.bind(this));
        },
    });
});
