// Copyright 1999-2017. Plesk International GmbH. All rights reserved.

define(function () {
    return Class.create(Jsw.PopupForm, {
        _showLockStatus: false,

        _initConfiguration: function ($super, config) {
            config = Object.extend({
                scrollable: true,
                singleRowButtons: true,
            }, config || {});
            $super(config);
            this._urls = this._getConfigParam('urls');
            this._packages = this._getConfigParam('packages', []);
            this._list = this._getConfigParam('list');
        },

        _getPackagesIds: function () {
            return this._packages.map(function (pkg) {
                return pkg.name;
            });
        },

        render: function ($super) {
            $super();

            this._buttonOk = this.addRightButton(this.lmsg('buttonOk'), this._onOkClick.bind(this), true, true);
            this._buttonCancel = this.addRightButton(this.lmsg('buttonCancel'), function () {
                this.remove();
                this.hide();
            }.bind(this));
        },

        _onOkClick: function () {
        },

        _getPackageHtml: function (pkg) {
            return '<li>' +
                (this._showLockStatus && pkg.locked ? '<i class="icon-lock i-bullet"></i>' : '') +
                pkg.name.escapeHTML() + ' ' +
                '<span class="text-muted"' +
                (pkg.version_to
                    ? ' title="' + this.lmsg('currentVersion', {
                        version: pkg.version_from ? pkg.version_from.escapeHTML() : this.lmsg('notInstalled'),
                    }) + '">' + pkg.version_to.escapeHTML()
                    : '>' + pkg.version_from.escapeHTML()
                ) +
                '</span>' +
                '</li>';
        },
    });
});
