// Copyright 1999-2017. Plesk International GmbH. All rights reserved.

define([
    './popup-packages-base',
], function (PopupPackagesBase) {
    return Class.create(PopupPackagesBase, {
        render: function ($super) {
            $super();

            this.setBoxType('form-box');
            this.setTitle(this.lmsg('popupUnlockTitle'));
            this.setHint(this.lmsg('popupUnlockDescription'));

            $(this._contentAreaId).update(
                '<p>' + this.lmsg('popupUnlockPackagesListTitle') + '</p>' +
                '<ul>' + this._packages.map(this._getPackageHtml.bind(this)).join('') + '</ul>'
            );
        },

        _onOkClick: function () {
            new Ajax.Request(Jsw.prepareUrl(this._urls.unlock), {
                method: 'post',
                parameters: {
                    'ids[]': this._getPackagesIds(),
                },
                onSuccess: function (transport) {
                    this.remove();
                    this.hide();

                    this._list.reload();

                    var data = transport.responseText.evalJSON();
                    if (data.status) {
                        Jsw.clearStatusMessages();
                        data.statusMessages.forEach(function (message) {
                            Jsw.addStatusMessage(message.status, message.content);
                        });
                    }
                }.bind(this),
            });
        },
    });
});
