// Copyright 1999-2017. Plesk International GmbH. All rights reserved.

Jsw.namespace('Smb.Views.Apps');

Smb.Views.Apps = {

    resizeBlocks: function () {
        var minBlockHeight = 200;
        var bodyHeight = (Prototype.Browser.IE)
            ? $(document.documentElement).getHeight()
            : $(document.body).getHeight();

        var block = $$('.objects-management-box')[0];
        var blockLayout = block.getLayout();

        var newBlockHeight = bodyHeight -
            block.cumulativeOffset()[1] -
            blockLayout.get('border-top') -
            blockLayout.get('border-bottom') -
            parseInt($$('.page-content')[0].getStyle('paddingBottom'));

        if ($$('.page-footer-wrapper').first()) {
            newBlockHeight -= $$('.page-footer-wrapper').first().getHeight();
        }
        if (newBlockHeight < minBlockHeight) {
            newBlockHeight = minBlockHeight;
        }

        $('objects-list-content-area').up().style.height = newBlockHeight + 'px';

        var catalogActionsBox = $('catalog-actions-box');

        if (catalogActionsBox && !catalogActionsBox.up().previous()) {
            var objectsContent = catalogActionsBox.next();

            if (catalogActionsBox.visible()) {
                objectsContent.setStyle({ height: newBlockHeight - catalogActionsBox.getHeight() + 'px' });
            } else {
                objectsContent.setStyle({ height: newBlockHeight + 'px' });
            }
        } else {
            var elements = $$('.objects-details-content-area')[0].childElements();
            var lastElement = null;
            var totalHeight = 0;
            for (var i = 0; i < elements.length; i++) {
                if ('script' === elements[i].tagName.toLowerCase()) {
                    continue;
                }
                lastElement = elements[i];
                totalHeight += Smb.Views.Apps.outerHeight(lastElement);
            }
            var contentHeight = newBlockHeight - totalHeight + (lastElement ? Smb.Views.Apps.outerHeight(lastElement) : 0);
            $$('#objects-details-content .objects-content').last().setStyle({ height: contentHeight + 'px' });
        }

        Smb.Views.Apps.fixContentWidth();
        Smb.Views.Apps.fixMarketplaceContentHeight();
    },

    outerHeight: function (element) {
        var layout = element.getLayout();
        return parseInt(element.getHeight() + layout.get('border-top') + layout.get('border-bottom') + layout.get('margin-top') + layout.get('margin-bottom'));
    },

    fixContentWidth: function () {
        var innerContainer = $('category-info');

        if (!$('catalog-actions-box')) {
            return;
        }

        var outerContainer = $('catalog-actions-box').next();

        if (outerContainer.getHeight() < innerContainer.getHeight()) {
            outerContainer.addClassName('with-scroll');
        } else {
            outerContainer.removeClassName('with-scroll');
        }
    },

    fixMarketplaceContentHeight: function () {
        var marketList = $$('.aps-marketplace-list').first();
        if (marketList) {
            var isOdd = true;
            var oddElement = null;
            var evenElement = null;

            marketList.select('.package-content').each(function (contentElement) {
                if (isOdd) {
                    oddElement = contentElement;
                    isOdd = false;
                } else {
                    evenElement = contentElement;
                    if (oddElement.getHeight() > evenElement.getHeight()) {
                        evenElement.setStyle({ height: oddElement.getHeight() + 'px' });
                    } else if (oddElement.getHeight() < evenElement.getHeight()) {
                        oddElement.setStyle({ height: evenElement.getHeight() + 'px' });
                    }
                    isOdd = true;
                }
            });

            // if marketplace list has a scroll bar so we need to add 'dropup' class to the elements in last row
            var outerContainer = $('catalog-actions-box').next();
            var rowCount = Math.round(marketList.select('.package-block').length / 2);
            var currentRow = 1;
            var elementsInRow = 0;
            marketList.select('.package-block').each(function (contentElement) {
                elementsInRow++;
                if (currentRow === rowCount) {
                    var installGroupButton = contentElement.select('.btn-group').first();
                    if (installGroupButton) {
                        if (outerContainer.hasClassName('with-scroll')) {
                            installGroupButton.addClassName('dropup');
                        } else {
                            installGroupButton.removeClassName('dropup');
                        }
                    }
                }
                if (2 === elementsInRow) {
                    elementsInRow = 0;
                    currentRow++;
                }
            });
        }
    },
    responsiveItems: function () {
        var element = $('objects-list');
        element.select('.objects-nav-item').each(function (el) {
            el.observe('click', function (e) {
                var listItem = el.up('.objects-nav');
                if (listItem.hasClassName('objects-nav-active')) {
                    Event.stop(e);
                }
                listItem.up('.objects-nav-container').toggleClassName('responsive-items-visible');
            });
        });
    },
};
