{DTD}
<title>{TITLE}</title>
<meta name="plesk-build" content="<?php echo StatInfo::make()->getProductVersion()['plesk_build']; ?>">
<meta name="forgery_protection_token" id="forgery_protection_token" content="<?php echo Session::get()->panel()->forgeryProtectionToken; ?>">
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0">
<link rel="shortcut icon" href="<?php echo \Session::get()->panel()->baseUrl . $this->cacheStamp('/favicon.ico'); ?>">
<?php echo $GLOBALS['skin']->getThemeCssIncludes(); ?>
<?php $this->jsLoad()->prepend('/javascript/responsive.js'); ?>
<?php $this->jsLoad()->prepend('/javascript/externals/modernizr.js'); ?>
<?php $this->jsLoad()->prepend('/javascript/common.js'); ?>
<?php $this->jsLoad()->prepend('/javascript/jsw.min.js'); ?>
<?php $this->jsLoad()->prepend('/javascript/externals/prototype.js'); ?>
<?php echo $this->headScript(); ?>
<?php echo $this->layout()->extensionsAdditionalHead; ?>
<?php if ($this->layout()->googleTagManagerId): ?>
<?php echo $this->partial('partials/google-tag-manager.phtml'); ?>
<?php endif; ?>
</head>

<body class="sid-login">
<?php if ($this->layout()->googleTagManagerId): ?>
<?php echo $this->partial('partials/google-tag-manager-noscript.phtml'); ?>
<?php endif; ?>

<div id="login-page">
    <!-- BEGIN DYNAMIC BLOCK: mobileApplicationPromotion -->
    <div class="login-mobile-application-promotion">
        <div class="media media--large">
            <div class="media__figure">
                <img class="media__object" src="{APPLICATION_ICON}">
            </div>
            <div class="media__body">
                <h4 class="media__heading">{APPLICATION_NAME}</h4>
                {APPLICATION_DESCRIPTION}
            </div>
        </div>

        <div class="login-mobile-application-promotion-actions">
            <a class="btn btn-primary" href="{APPLICATION_URL}" onclick="{HIDE_BUTTON_ONCLICK}">{INSTALL_BUTTON_TEXT}</a>
            <button class="btn" onclick="{HIDE_BUTTON_ONCLICK}">{HIDE_BUTTON_TEXT}</button>
        </div>
    </div>
    <!-- END DYNAMIC BLOCK: mobileApplicationPromotion -->
    <div id="wrapper">
        <div id="top">
            <div id="header-wrapper">
                <div id="header">
                    <!-- BEGIN DYNAMIC BLOCK: logoWithoutUrl -->
                    <h1 class="logo">
                        <img src="{LOGO_SRC}" alt="{LOGO_TITLE}">
                    </h1>
                    <!-- END DYNAMIC BLOCK: logoWithoutUrl -->

                    <!-- BEGIN DYNAMIC BLOCK: logoWithUrl -->
                    <h1 class="logo">
                        <a href="{LOGO_URL}" onclick="window.open(this.href); return false;">
                            <img src="{LOGO_SRC}" alt="{LOGO_TITLE}">
                        </a>
                    </h1>
                    <!-- END DYNAMIC BLOCK: logoWithUrl -->
                </div>
            </div>
        </div>
        <div id="content-wrapper">
            <div id="content">
                <div id="content-body" class="clearfix">
                    <div id="main">
                        {BODY}
                        <?php echo $this->layout()->extensionsAdditionalBody; ?>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<div id="footer-wrapper" class="login-footer">
    <div id="footer">
    </div>
</div>
<div id="bottomAnchor" style="position: fixed; top: 0; z-index: -1; opacity: 0.001;"></div>
</body>
</html>
