# Copyright 1999-2017. Plesk International GmbH. All rights reserved.
import pmm_config
import os
import subproc
from pmmcli_exceptions import PMMUtilityException


class DumpTransformer:
    def __init__(self, dump_transformer_options = None):
        self.__dump_transformer_options = dump_transformer_options

    def run(self, restore_specification, restore_specification_out, session_path):
        cmd = subproc.CmdLine(pmm_config.plesk_runner())
        for plesk_runner_arg in pmm_config.plesk_runner_args():
            cmd.arg(plesk_runner_arg)
        cmd.arg(pmm_config.pmm_dump_transformer())
        cmd.arg('--transform-dump')
        restore_specification_arg = '-restore-specification'
        cmd.arg(restore_specification_arg)
        cmd.arg(restore_specification)
        restore_specification_out_arg = '-restore-specification-out'
        cmd.arg(restore_specification_out_arg)
        cmd.arg(restore_specification_out)
        session_path_arg = '-session-path'
        cmd.arg(session_path_arg)
        cmd.arg(session_path)
        if self.__dump_transformer_options is not None:
            dump_transformer_options_arg = '-options'
            cmd.arg(dump_transformer_options_arg)
            cmd.arg(self.__dump_transformer_options)
        
        try:
            cmd.spawn()
        except subproc.NonzeroExitException, x:
            raise PMMUtilityException('Dump transformer', x)
        return True

    def getDumpFormat(self, restore_specification, session_path):
        dump_format = None
        cmd = subproc.CmdLine(pmm_config.plesk_runner())
        for plesk_runner_arg in pmm_config.plesk_runner_args():
            cmd.arg(plesk_runner_arg)
        cmd.arg(pmm_config.pmm_dump_transformer())
        cmd.arg('--get-dump-format')
        cmd.arg(restore_specification)
        session_path_arg = '-session-path'
        cmd.arg(session_path_arg)
        cmd.arg(session_path)
        
        try:
            proc = cmd.spawn()
            dump_format = proc.stdout.encode('utf-8')
        except subproc.NonzeroExitException, x:
            raise PMMUtilityException('Dump transformer', x)
        
        return dump_format



