# Copyright 1999-2017. Plesk International GmbH. All rights reserved.
import pmm_config
import subproc


class SuspendHandler:
    def unsuspend_all(session_id, logger = None):
        cmd = subproc.CmdLine(pmm_config.plesk_runner())
        for plesk_runner_arg in pmm_config.plesk_runner_args():
            cmd.arg(plesk_runner_arg)
        cmd.arg(pmm_config.pmm_suspend_handler())
        cmd.arg('unsuspend-all')
        cmd.arg(session_id)
        try:
            cmd.spawn()
        except subproc.NonzeroExitException, x:
            errcode = x.exitcode
            message =  u"suspend handler error (Error code = " + unicode(errcode) + "):"  \
                     + u"\n== STDOUT ====================\n" + x.subprocess.stdout + u"\n==============================\n" \
                     + u"== STDERR ====================\n" + x.subprocess.stderr + u"\n==============================\n"
            if logger:
                logger(u"suspend handler error: " + message)

    unsuspend_all = staticmethod(unsuspend_all)

    def get_session_list(logger = None):
        cmd = subproc.CmdLine(pmm_config.plesk_runner())
        for plesk_runner_arg in pmm_config.plesk_runner_args():
            cmd.arg(plesk_runner_arg)
        cmd.arg(pmm_config.pmm_suspend_handler())
        cmd.arg('get-session-list')
        try:
            cmd.spawn()
            return cmd.get_stdout().splitlines()
        except subproc.NonzeroExitException, x:
            errcode = x.exitcode
            message =  u"suspend handler error (Error code = " + unicode(errcode) + "):"  \
                     + u"\n== STDOUT ====================\n" + x.subprocess.stdout + u"\n==============================\n" \
                     + u"== STDERR ====================\n" + x.subprocess.stderr + u"\n==============================\n"
            if logger:
                logger(u"suspend handler error: " + message)
            return []

    get_session_list = staticmethod(get_session_list)

